Public Member Functions | Package Functions

# BinNavi.API.debug.BreakpointManagerListenerAdapter Class Reference

Adapter class for breakpoint managers. More...

Inheritance diagram for BinNavi.API.debug.BreakpointManagerListenerAdapter:

List of all members.

## Public Member Functions
void | addedEchoBreakpoint (BreakpointManager breakpointManager, Breakpoint breakpoint)
| Signals new echo breakpoints.
void | removedBreakpoint (BreakpointManager breakpointManager, Breakpoint breakpoint)
| Signals the removal of breakpoints.
void | removedEchoBreakpoint (BreakpointManager breakpointManager, Breakpoint breakpoint)
| Signals the removal of echo breakpoints.
## Package Functions
void | addedBreakpoint (BreakpointManager breakpointManager, Breakpoint breakpoint)
| Signals new breakpoints.

## Detailed Description

Adapter class that can be used by objects that want to listen on breakpoint managers but only need to process few events.

## Member Function Documentation

void BinNavi.API.debug.IBreakpointManagerListener.addedBreakpoint | ( | BreakpointManager | breakpointManager,
|  | Breakpoint | breakpoint |
| ) |  |  | `[package, inherited]`

Invoked after a new breakpoint was added to a breakpoint manager.

Parameters:

  | breakpointManager | The manager where the breakpoint was set.
  | breakpoint | The new breakpoint.

void BinNavi.API.debug.IBreakpointManagerListener.addedEchoBreakpoint | ( | BreakpointManager | breakpointManager,
|  | Breakpoint | breakpoint |
| ) |  |  | `[inherited]`

Invoked after a new echo breakpoint was added to a breakpoint manager.

Parameters:

  | breakpointManager | The manager where the echo breakpoint was set.
  | breakpoint | The new echo breakpoint.

void BinNavi.API.debug.IBreakpointManagerListener.removedBreakpoint | ( | BreakpointManager | breakpointManager,
|  | Breakpoint | breakpoint |
| ) |  |  | `[inherited]`

Invoked after a breakpoint was removed from the breakpoint manager.

Parameters:

  | breakpointManager | The breakpoint manager from where the breakpoint was removed.
  | breakpoint | The removed breakpoint.

void BinNavi.API.debug.IBreakpointManagerListener.removedEchoBreakpoint | ( | BreakpointManager | breakpointManager,
|  | Breakpoint | breakpoint |
| ) |  |  | `[inherited]`

Invoked after an echo breakpoint was removed from the breakpoint manager.

Parameters:

  | breakpointManager | The breakpoint manager from where the echo breakpoint was removed.
  | breakpoint | The removed echo breakpoint.